/ comp / gb.opengl / gl / calllist
Gl.CallList (gb.opengl)
Syntax

    STATIC SUB CallList ( Index AS Integer )

### Execute a display list

#### Parameters

- Index specifies the integer name of the display list to be executed.

#### Description

Gl.CallList causes the named display list to be executed. The commands saved in the display list are executed in order, just as if they were called without using a display list. If list has not been defined as a display list, Gl.CallList is ignored.

Gl.CallList can appear inside a display list. To avoid the possibility of infinite recursion resulting from display lists calling one another, a limit is placed on the nesting level of display lists during display-list execution. This limit is at least 64, and it depends on the implementation.

GL state is not saved and restored across a call to Gl.CallList. Thus, changes made to GL state during the execution of a display list remain after execution of the display list is completed. Use Gl.PushAttrib, Gl.PopAttrib, Gl.PushMatrix, and Gl.PopMatrix to preserve GL state across Gl.CallList calls.

| Display lists can be executed between a call to Gl.Begin and the corresponding call to Gl.End, as long as the display list includes only commands that are allowed in this interval.

#### Associated Gets

Gl.MaxListNesting
Gl.IsList

### See also

Gl.CallLists , Gl.DeleteLists, Gl.GenLists , Gl.NewList , Gl.PushAttrib, Gl.PushMatrix